=== debian/changelog ===
directx-headers (1.0.2-1~20.04.2) focal-security; urgency=medium

  * No-change rebuild in -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Mar 2022 12:45:43 -0500

directx-headers (1.0.2-1~20.04.1) focal; urgency=medium

  * Backport to focal. (LP: #1925320)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 May 2021 11:25:36 +0300

directx-headers (1.0.2-1) unstable; urgency=medium

  * control: Add an uploader, bump policy to 4.5.1.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 27 Feb 2021 21:58:53 +0200

directx-headers (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #980789)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Jan 2021 10:15:40 +0200
