=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%directx-headers-$1.tar.gz%" \
   https://github.com/microsoft/DirectX-Headers/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
