=== debian/changelog ===
directx-headers (1.4.9-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 08 Jul 2021 14:40:46 -0400

directx-headers (1.4.9-1) unstable; urgency=medium

  * New upstream release.
  * copyright: The license is essentially Expat, make it so.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 24 May 2021 16:07:01 +0300
