=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: directx-headers
 Section: graphics
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  meson,
 Standards-Version: 4.5.1
 Homepage: https://github.com/microsoft/DirectX-Headers
