=== debian/changelog ===
directx-headers (1.600.10-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Feb 2022 15:59:21 +0200
