## directx-headers 1.602.0%2Br1

=== debian/changelog ===
directx-headers (1.602.0+r1-1~mx21ahs+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Jul 2022 18:31:46 -0700

directx-headers (1.602.0+r1-1) unstable; urgency=medium

  * New upstream release. (LP: #1975624)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Jun 2022 00:16:39 +0300
