## directx-headers 1.602.0+r1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.10.2)
 project(DirectX-Headers
     LANGUAGES CXX
-    VERSION 1.4.9
+    VERSION 1.602.0
 )
 
 set(CMAKE_CXX_STANDARD 14) 
@@ -25,6 +25,7 @@
 # either via cmake or cmake-gui
 option(DXHEADERS_BUILD_TEST "Build the test" ${IS_TOPLEVEL_PROJECT})
 option(DXHEADERS_INSTALL "Installation logic" ${IS_TOPLEVEL_PROJECT})
+option(DXHEADERS_BUILD_GOOGLE_TEST "Build the google test suite" ${IS_TOPLEVEL_PROJECT})
 
 include(GNUInstallDirs)
 
@@ -85,3 +86,7 @@
 if (DXHEADERS_BUILD_TEST)
     add_subdirectory(test) 
 endif()
+
+if (DXHEADERS_BUILD_GOOGLE_TEST)
+    add_subdirectory(googletest)
+endif()
