=== debian/changelog ===
directx-headers (1.606.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Sep 2022 08:39:09 +0300

directx-headers (1.606.3+r1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Jul 2022 12:16:24 +0300
