=== debian/changelog ===
directx-headers (1.610.2-2~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Jun 2023 15:27:43 -0700

directx-headers (1.610.2-2) unstable; urgency=medium

  * Upload to sid.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 Jun 2023 15:01:35 +0300

directx-headers (1.610.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Timo Aaltonen ]
  * New upstream version.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 06 May 2023 11:45:21 +0300
