=== debian/control ===
Source: directx-headers
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13), meson
Standards-Version: 4.6.1
Homepage: https://github.com/microsoft/DirectX-Headers
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/directx-headers
Vcs-Git: https://salsa.debian.org/xorg-team/lib/directx-headers.git
Rules-Requires-Root: no

Package: directx-headers-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Direct3D 12 headers
 This package provides the development headers for Direct3D 12.
