=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dbuild-test=false
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
