## directx-headers 1.611.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,13 @@
 cmake_minimum_required(VERSION 3.10.2)
 project(DirectX-Headers
     LANGUAGES CXX
-    VERSION 1.610.0
+    VERSION 1.611.0
 )
-
+include(CTest)
 set(CMAKE_CXX_STANDARD 14) 
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
+enable_testing()
 
 # It's useful to know if you are a top level project or not, if your project is
 # being consumed via add_subdirectory
@@ -39,20 +40,26 @@
 )
 target_include_directories(DirectX-Headers PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/include/directx)
 
+add_library(Microsoft::DirectX-Headers ALIAS DirectX-Headers)
+
+add_library(DirectX-Guids STATIC src/dxguids.cpp)
+target_link_libraries(DirectX-Guids PRIVATE DirectX-Headers)
+
+add_library(Microsoft::DirectX-Guids ALIAS DirectX-Guids)
+
 # For non-Windows targets, also add the WSL stubs to the include path
 if (NOT WIN32)
     target_include_directories(DirectX-Headers SYSTEM PUBLIC
         "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/wsl/stubs>"
         "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/wsl/stubs>"
     )
+elseif((CMAKE_CXX_COMPILER_ID STREQUAL "GNU") OR (CMAKE_CXX_COMPILER_ID STREQUAL "Clang"))
+    # MinGW has RPC headers which define old versions, and complain if D3D
+    # headers are included before the RPC headers, since D3D headers were
+    # generated with new MIDL and "require" new RPC headers.
+   target_compile_options(DirectX-Headers PRIVATE "-D__REQUIRED_RPCNDR_H_VERSION__=475")
+   target_compile_options(DirectX-Guids PRIVATE "-D__REQUIRED_RPCNDR_H_VERSION__=475")
 endif()
-
-add_library(Microsoft::DirectX-Headers ALIAS DirectX-Headers)
-
-add_library(DirectX-Guids STATIC src/dxguids.cpp)
-target_link_libraries(DirectX-Guids PRIVATE DirectX-Headers)
-
-add_library(Microsoft::DirectX-Guids ALIAS DirectX-Guids)
 
 if (DXHEADERS_INSTALL)
     # Install the targets
@@ -82,12 +89,30 @@
     install(FILES "${CMAKE_CURRENT_BINARY_DIR}/directx-headers-config.cmake"
                 "${CMAKE_CURRENT_BINARY_DIR}/directx-headers-config-version.cmake"
             DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/directx-headers/cmake)
+    
+    # Create pkg-config file 
+    include(cmake/JoinPaths.cmake)
+    # from: https://github.com/jtojnar/cmake-snips#concatenating-paths-when-building-pkg-config-files
+    join_paths(DIRECTX_INCLUDEDIR_FOR_PKG_CONFIG "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
+    join_paths(DIRECTX_LIBDIR_FOR_PKG_CONFIG "\${prefix}"     "${CMAKE_INSTALL_LIBDIR}")        
+    configure_file(
+        "${CMAKE_CURRENT_SOURCE_DIR}/cmake/DirectX-Headers.pc.in"
+        "${CMAKE_CURRENT_BINARY_DIR}/DirectX-Headers.pc" @ONLY)
+
+    # Install the pkg-config file
+    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/DirectX-Headers.pc"
+            DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+
 endif()
 
-if (DXHEADERS_BUILD_TEST)
-    add_subdirectory(test) 
+if (BUILD_TESTING)
+    if (DXHEADERS_BUILD_TEST)
+       add_subdirectory(test) 
+    endif()
+
+    if (DXHEADERS_BUILD_GOOGLE_TEST)
+       # We do not want to install GoogleTest when packaging DirectX-Headers.
+       set(INSTALL_GTEST OFF)
+       add_subdirectory(googletest)
+    endif()
 endif()
-
-if (DXHEADERS_BUILD_GOOGLE_TEST)
-    add_subdirectory(googletest)
-endif()
