## directx-headers 1.613.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.10.2)
 project(DirectX-Headers
     LANGUAGES CXX
-    VERSION 1.611.0
+    VERSION 1.613.0
 )
 include(CTest)
 set(CMAKE_CXX_STANDARD 14)
