=== debian/control ===
Source: directx-headers
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13),
 meson,
Standards-Version: 4.6.2
Homepage: https://github.com/microsoft/DirectX-Headers
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/directx-headers
Vcs-Git: https://salsa.debian.org/xorg-team/lib/directx-headers.git
Rules-Requires-Root: no

Package: directx-headers-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Direct3D 12 headers
 This package provides the development headers for Direct3D 12.
