=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym
