## directx-headers 1.618.1

=== debian/changelog ===
directx-headers (1.618.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Oct 2025 14:47:58 +0300

directx-headers (1.614.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Sep 2024 22:41:57 +0300
