## directx-headers 1.618.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.10.2)
 project(DirectX-Headers
     LANGUAGES CXX
-    VERSION 1.613.0
+    VERSION 1.618.2
 )
 include(CTest)
 set(CMAKE_CXX_STANDARD 14) 
@@ -57,8 +57,8 @@
     # MinGW has RPC headers which define old versions, and complain if D3D
     # headers are included before the RPC headers, since D3D headers were
     # generated with new MIDL and "require" new RPC headers.
-   target_compile_options(DirectX-Headers PRIVATE "-D__REQUIRED_RPCNDR_H_VERSION__=475")
-   target_compile_options(DirectX-Guids PRIVATE "-D__REQUIRED_RPCNDR_H_VERSION__=475")
+   target_compile_definitions(DirectX-Headers PRIVATE "__REQUIRED_RPCNDR_H_VERSION__=475")
+   target_compile_definitions(DirectX-Guids PRIVATE "__REQUIRED_RPCNDR_H_VERSION__=475")
 endif()
 
 if (DXHEADERS_INSTALL)
