=== debian/changelog ===
directx-headers (1.618.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 21 Oct 2025 12:15:26 +0300
