=== debian/watch ===
version=4

opts="uversionmangle=s/-r/+r/, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%directx-headers-$1.tar.gz%" \
   https://github.com/microsoft/DirectX-Headers/tags \
   (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
