=== debian/changelog ===
directx-headers (1.619.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Feb 2026 12:57:28 +0200
